QuantLib: AnalyticDividendEuropeanEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
AnalyticDividendEuropeanEngine Class Reference
Pricing engines » Vanilla option engines

Analytic pricing engine for European options with discrete dividends. More...

`#include <ql/pricingengines/vanilla/analyticdividendeuropeanengine.hpp>`

Inheritance diagram for AnalyticDividendEuropeanEngine:
[legend]

## Public Member Functions
| AnalyticDividendEuropeanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const
Public Member Functions inherited from GenericEngine< DividendVanillaOption::arguments, DividendVanillaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< DividendVanillaOption::arguments, DividendVanillaOption::results >
DividendVanillaOption::arguments | arguments_
DividendVanillaOption::results | results_

## Detailed Description

Analytic pricing engine for European options with discrete dividends.

Tests:
  the correctness of the returned greeks is tested by reproducing numerical derivatives.